### Method

# Clutter Actor add_action

#### Declaration [src]

    void
    clutter_actor_add_action (
      ClutterActor* self,
      ClutterAction* action
    )

#### Description [src]

Adds `action` to the list of actions applied to `self`

A `ClutterAction` can only belong to one actor at a time

The `ClutterActor` will hold a reference on `action` until either `clutter_actor_remove_action()` or `clutter_actor_clear_actions()` is called.

#### Parameters

`action`

  Type: `ClutterAction`

  A `ClutterAction`.

  The data is owned by the caller of the method.